Bug 507322 - Package firefox ships both bookmarkProperties.xul and bookmarkProperties2.xul in browser.jar
Package firefox ships both bookmarkProperties.xul and bookmarkProperties2.xul...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 07:14 EDT by Jan Pazdziora
Modified: 2010-05-20 17:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-20 17:40:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2009-06-22 07:14:37 EDT
Description of problem:

In /usr/lib/firefox-3.5b4/chrome/browser.jar, there is are two "bookmark propertish" XULs, content/browser/places/bookmarkProperties.xul and content/browser/places/bookmarkProperties2.xul, and they are the same. It looks like a packaging issue.

Version-Release number of selected component (if applicable):

firefox-3.5-0.20.beta4.fc11.i586

How reproducible:

Deterministisch.

Steps to Reproduce:
1. Install firefox.
2. Do rpm -ql firefox | grep browser.jar
3. Do unzip -l path-to-browser.jar | grep 'bookmarkProperties.*\.xul'
  
Actual results:

     3473  04-23-09 21:47   content/browser/places/bookmarkProperties.xul
     3473  04-23-09 21:47   content/browser/places/bookmarkProperties2.xul

Expected results:

Only one file.

Additional info:
Comment 1 Bug Zapper 2010-04-27 11:09:15 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jan Pazdziora 2010-05-20 03:58:54 EDT
Issue still present on rawhide:

# rpm -ql firefox | grep browser.jar
/usr/lib/firefox-3.6/chrome/browser.jar
# unzip -l /usr/lib/firefox-3.6/chrome/browser.jar | grep 'bookmarkProperties.*\.xul'
     3480  04-02-10 16:03   content/browser/places/bookmarkProperties.xul
     3480  04-02-10 16:03   content/browser/places/bookmarkProperties2.xul
# rpm -qf /usr/lib/firefox-3.6/chrome/browser.jar
firefox-3.6.3-4.fc14.i686
#
Comment 3 Christopher Aillon 2010-05-20 17:40:35 EDT
It's not a packaging error and not a bug.

Note You need to log in before you can comment on or make changes to this bug.